/*
 * Author: klaute -Kai Lauterbach - @kailauterbach - me@klaute.de
 * Date: 09/2016
 * License: GPLv3
 */

#ifndef __COMMAND_CONFIG_H__
#define __COMMAND_CONFIG_H__

/*****************************************************************************/

#include <stdio.h>
#include <string.h>

#include <avr/wdt.h>

#include "globals.h"

/*****************************************************************************/

void cc_setStartFreq(void);
void cc_setEndFreq(void);
void cc_setIntervall(void);
void cc_setDriveStrength(void);
void cc_startMeasurement(void);

/*****************************************************************************/

//#define CC_CMD_GET_CONFIG     0x0A

/*****************************************************************************/

//#define CC_CMD_GET_CONFIG_FUNC     &cc_getConfig

/*****************************************************************************/

//#define CC_CMD_GET_CONFIG_DATA_TO_READ      0

/*****************************************************************************/

#define CC_READ_DATA_MAX 64

/*****************************************************************************/

uint8_t cc_commands[] = { 
//    CC_CMD_GET_CONFIG,

  };

void (*cc_cmd_functions[])() = {
//    CC_CMD_GET_CONFIG_FUNC,

  };

uint8_t cc_cmd_data_to_read[] = {
//     CC_CMD_GET_CONFIG_DATA_TO_READ,

  };

uint8_t cc_read_data[CC_READ_DATA_MAX];

/*****************************************************************************/

#endif

